org.bdgenomics.adam.rdd.read

# MDTagging

###
Related Docs: object MDTagging | package read

#### case class MDTagging(reads: RDD[AlignmentRecord], referenceFile: ReferenceFile, partitionSize: Long = 1000000, overwriteExistingTags: Boolean = false, validationStringency: ValidationStringency = ValidationStringency.STRICT) extends Logging with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Logging, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MDTagging
2. Serializable
3. Serializable
4. Product
5. Equals
6. Logging
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MDTagging(reads: RDD[AlignmentRecord], referenceFile: ReferenceFile, partitionSize: Long = 1000000, overwriteExistingTags: Boolean = false, validationStringency: ValidationStringency = ValidationStringency.STRICT)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def addMDTagsBroadcast(): RDD[AlignmentRecord]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### val incorrectMDTags: Accumulator[Long]

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

13. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

14. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

18. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

19. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

20. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

21. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def maybeMDTagRead(read: AlignmentRecord, refSeq: String): AlignmentRecord

26. #### val mdTagsAdded: Accumulator[Long]

27. #### val mdTagsExtant: Accumulator[Long]

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### final def notify(): Unit

    Definition Classes
      AnyRef

30. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

31. #### val numUnmappedReads: Accumulator[Long]

32. #### val overwriteExistingTags: Boolean

33. #### val partitionSize: Long

34. #### val reads: RDD[AlignmentRecord]

35. #### val referenceFile: ReferenceFile

36. #### val sc: SparkContext

37. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

38. #### val taggedReads: RDD[AlignmentRecord]

39. #### val validationStringency: ValidationStringency

40. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Logging

### Inherited from AnyRef

### Inherited from Any

### Ungrouped